package twi

import (
	"github.com/gin-gonic/gin"
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
)

type TwiActListRouter struct {
}

// InitTwiActListRouter 初始化 TwiActList 路由信息
func (s *TwiActListRouter) InitTwiActListRouter(Router *gin.RouterGroup) {
	twiActListRouter := Router.Group("twiActList").Use(middleware.OperationRecord())
	twiActListRouterWithoutRecord := Router.Group("twiActList")
	var twiActListApi = v1.ApiGroupApp.TwiApiGroup.TwiActListApi
	{
		twiActListRouter.POST("createTwiActList", twiActListApi.CreateTwiActList)   // 新建TwiActList
		twiActListRouter.DELETE("deleteTwiActList", twiActListApi.DeleteTwiActList) // 删除TwiActList
		twiActListRouter.DELETE("deleteTwiActListByIds", twiActListApi.DeleteTwiActListByIds) // 批量删除TwiActList
		twiActListRouter.PUT("updateTwiActList", twiActListApi.UpdateTwiActList)    // 更新TwiActList
	}
	{
		twiActListRouterWithoutRecord.GET("findTwiActList", twiActListApi.FindTwiActList)        // 根据ID获取TwiActList
		twiActListRouterWithoutRecord.GET("getTwiActListList", twiActListApi.GetTwiActListList)  // 获取TwiActList列表
	}
}

// InitTwiActListPubRouter 初始化 TwiActList 路由信息
func (s *TwiActListRouter) InitTwiActListPubRouter(Router *gin.RouterGroup) {
	twiActListRouterWithoutRecord := Router.Group("twiActList")
	var twiActListApi = v1.ApiGroupApp.TwiApiGroup.TwiActListApi
	{
		twiActListRouterWithoutRecord.GET("info", twiActListApi.FindTwiActListWeb)        // 根据ID获取TwiActList
		twiActListRouterWithoutRecord.GET("list", twiActListApi.GetTwiActListListWeb)  // 获取TwiActList列表
	}
}